#!/bin/sh
echo "Downloading original files..."
curl -o ~/10.13bkltkexts.zip http://dosdude1.com/highsierra/10.13bkltkexts.zip
unzip -o ~/10.13bkltkexts.zip -d ~/ -x "__MACOSX/*"
echo "Copying files..."
sudo cp -R ~/10.13bkltkexts/*.kext /System/Library/Extensions
sudo cp -R ~/10.13bkltkexts/*.framework /System/Library/PrivateFrameworks
sudo /usr/libexec/PlistBuddy -c "Delete :BacklightPatch" "/Library/Application Support/High Sierra Patcher/installedPatches.plist"
echo "Setting permissions..."
sudo chmod -R 755 /System/Library/Extensions
sudo chown -R 0:0 /System/Library/Extensions
sudo chmod -R 755 /System/Library/PrivateFrameworks
sudo chown -R 0:0 /System/Library/PrivateFrameworks
rm -R ~/10.13bkltkexts
rm ~/10.13bkltkexts.zip
echo "Rebuilding kextcache..."
sudo kextcache -system-caches
sudo kextcache -system-prelinked-kernel
echo "\n\nOperation complete! Please restart your machine for changes to take effect.\n\n"
